{ modulesPath, config, pkgs, hostName, ... }:
{
  ## MODULES & IMPORTS ##
  imports = [ 
      # Common Modules
      ../../common/acme
      ../../common/lxc
      ../../common/ssh

      # Import hardware configuration.
      ./hardware.nix
      
      # Local Modules

      # cron
      ./modules/cron
      # Logrotate
      ./modules/logrotate
      # Nextcloud
      ./modules/nextcloud
      # Nginx
      ./modules/nginx
      # Snapraid-runner
      ./modules/snapraid
  ];

  ## NETWORKING ##
  networking.firewall = {
    allowedTCPPorts = [ 22 80 443 ];
    allowedUDPPorts = [ ];
  };

  ## ENVIORMENT & PACKAGES ##
  nixpkgs.overlays = [ (import ./overlays) ];
  environment.systemPackages = with pkgs; [
    git
    mergerfs
    micro
    openssh
    ranger
    sshfs
    snapraid
    snapraid-runner 
    wget 
  ];
  
  environment.variables = {
    HOSTNAME = hostName;
  };
}
